bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: 7.1.xx test results


From: Jim Meyering
Subject: Re: 7.1.xx test results
Date: Thu, 19 Mar 2009 18:50:24 +0100

Matthew Woehlke wrote:

> x86/Solaris is 7.1.63, all others from this run are 7.1.49
>
> ==== x86/Linux (RH4) ====
>  1 of 367 tests failed
>  (47 tests were not run)
>
> FAIL: df/total-verify
> + perl -f check-df space
>
>
> Unrecognized switch: -f  (-h will show valid options).
>
>
> + fail=1
>
>
> + perl -f check-df inode
>
>
> Unrecognized switch: -f  (-h will show valid options).
>
>
> + fail=1

These first two are probably simply due to a bug.
Here's the probable fix:

>From 25507a54f7f1d8f6cd28802a413e23a0e91dbe67 Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Thu, 19 Mar 2009 18:48:46 +0100
Subject: [PATCH] tests: df/total-verify: avoid test failure with older Perl

* tests/df/total-verify: Don't use perl's -f option.
Reported by Matthew Woehlke.
---
 tests/df/total-verify |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/tests/df/total-verify b/tests/df/total-verify
index ba27747..809f70d 100755
--- a/tests/df/total-verify
+++ b/tests/df/total-verify
@@ -1,7 +1,7 @@
 #!/bin/sh
 # Ensure "df --total" computes accurate totals

-# Copyright (C) 2008 Free Software Foundation, Inc.
+# Copyright (C) 2008-2009 Free Software Foundation, Inc.

 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -62,7 +62,7 @@ df --total -i -P               > inode || framework_failure
 cat inode

 fail=0
-$PERL -f check-df space || fail=1
-$PERL -f check-df inode || fail=1
+$PERL check-df space || fail=1
+$PERL check-df inode || fail=1

 Exit $fail
--
1.6.2.rc1.285.gc5f54




reply via email to

[Prev in Thread] Current Thread [Next in Thread]